Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 223761 - Kudzu does not find Tape drive's correct "device name" in RHEL5 , but it does in RHEL3 and RHEL4.
Summary: Kudzu does not find Tape drive's correct "device name" in RHEL5 , but it do...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kudzu
Version: 5.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-22 08:44 UTC by YangKun
Modified: 2014-03-17 03:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-14 15:20:05 UTC


Attachments (Terms of Use)

Description YangKun 2007-01-22 08:44:35 UTC
Description of problem:
The kudzu shipped in RHEL5(kernel : 2.6.18-1.2910.el5xen) can not find the 
correct tape drive's "device name", is this an intended change ?
Following is the related part in /etc/sysconfig/hwconfig :
-----------------------------
class: TAPE
bus: SCSI
detached: 0
device: sg2
desc: "HP Ultrium 1-SCSI"
host: 2
id: 4
channel: 0
lun: 0
-----------------------------
the correct device name for this tape drive should be "st0"(/dev/st0)


But in RHEL3 and RHEL4 , it does can find tape drive's "device name", following 
are two examples:

##########################
Red Hat Enterprise Linux AS release 3 (Taroon Update 6)
-
class: TAPE
bus: SCSI
detached: 0
device: st0
driver: ignore
desc: "Quantum SDLT320"
host: 0
id: 1
channel: 5
lun: 0
generic: sg2
-


##########################
Red Hat Enterprise Linux AS release 4 (Nahant Update 1)
-
class: TAPE
bus: SCSI
detached: 0
device: st0
driver: ignore
desc: "Hp C5683A"
host: 2
id: 3
channel: 0
lun: 0
generic: sg7
-
-----------------------------------------------------------------

Comment 1 Bill Nottingham 2007-01-22 18:34:54 UTC
Is st loaded?

Comment 2 YangKun 2007-01-23 07:20:48 UTC
Yes , the st driver is loaded and I can see it in dmesg:
--------------------------
....
hdb: ATAPI 48X DVD-ROM DVD-R CD-R/RW drive, 2048kB Cache, UDMA(33)
st: Version 20050830, fixed bufsize 32768, s/g segs 256
st 2:0:4:0: Attached scsi tape st0
st0: try direct i/o: yes (alignment 512 B)
lp: driver loaded but no devices found
SELinux: initialized (dev ramfs, type ramfs), uses genfs_contexts
....
--------------------------

Comment 3 Bill Nottingham 2007-01-23 16:30:39 UTC
What's in /sys/bus/scsi/devices/XXXX for the device?

Comment 4 YangKun 2007-01-24 05:40:57 UTC
<13:38:40 kun@yangkun>$ ll bus/scsi/devices/
total 12
lrwxrwxrwx 1 kun kun 66 Jan 24 11:03 0:0:0:0 ->
../../../devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/
lrwxrwxrwx 1 kun kun 66 Jan 24 11:03 1:0:0:0 ->
../../../devices/pci0000:00/0000:00:1f.2/host1/target1:0:0/1:0:0:0/
lrwxrwxrwx 1 kun kun 79 Jan 24 11:03 2:0:4:0 ->
../../../devices/pci0000:00/0000:00:1e.0/0000:05:04.0/host2/target2:0:4/2:0:4:0/
<13:40:11 kun@yangkun>$ ll bus/scsi/devices/2\:0\:4\:0/
total 60
lrwxrwxrwx 1 kun kun   29 Jan 24 11:03 bus -> ../../../../../../../bus/scsi/
-r--r--r-- 1 kun kun    2 Jan 23 17:10 device_blocked
lrwxrwxrwx 1 kun kun   40 Jan 24 11:03 driver ->
../../../../../../../bus/scsi/drivers/st/
lrwxrwxrwx 1 kun kun   43 Jan 24 11:03 generic ->
../../../../../../../class/scsi_generic/sg2/
-r--r--r-- 1 kun kun    3 Jan 23 17:10 iocounterbits
-r--r--r-- 1 kun kun    4 Jan 23 17:10 iodone_cnt
-r--r--r-- 1 kun kun    4 Jan 23 17:10 ioerr_cnt
-r--r--r-- 1 kun kun    4 Jan 23 17:10 iorequest_cnt
-r--r--r-- 1 kun kun   17 Jan 23 17:10 model
drwxr-xr-x 2 kun kun 4096 Jan 19 00:36 power/
-r--r--r-- 1 kun kun    2 Jan 23 17:10 queue_depth
-r--r--r-- 1 kun kun    5 Jan 23 17:10 queue_type
-r--r--r-- 1 kun kun    5 Jan 23 17:10 rev
lrwxrwxrwx 1 kun kun   46 Jan 24 11:03 scsi_device:2:0:4:0 ->
../../../../../../../class/scsi_device/2:0:4:0/
lrwxrwxrwx 1 kun kun   43 Jan 24 11:03 scsi_generic:sg2 ->
../../../../../../../class/scsi_generic/sg2/
-r--r--r-- 1 kun kun    2 Jan 23 17:10 scsi_level
lrwxrwxrwx 1 kun kun   41 Jan 24 11:03 scsi_tape:nst0 ->
../../../../../../../class/scsi_tape/nst0/
lrwxrwxrwx 1 kun kun   42 Jan 24 11:03 scsi_tape:nst0a ->
../../../../../../../class/scsi_tape/nst0a/
lrwxrwxrwx 1 kun kun   42 Jan 24 11:03 scsi_tape:nst0l ->
../../../../../../../class/scsi_tape/nst0l/
lrwxrwxrwx 1 kun kun   42 Jan 24 11:03 scsi_tape:nst0m ->
../../../../../../../class/scsi_tape/nst0m/
lrwxrwxrwx 1 kun kun   40 Jan 24 11:03 scsi_tape:st0 ->
../../../../../../../class/scsi_tape/st0/
lrwxrwxrwx 1 kun kun   41 Jan 24 11:03 scsi_tape:st0a ->
../../../../../../../class/scsi_tape/st0a/
lrwxrwxrwx 1 kun kun   41 Jan 24 11:03 scsi_tape:st0l ->
../../../../../../../class/scsi_tape/st0l/
lrwxrwxrwx 1 kun kun   41 Jan 24 11:03 scsi_tape:st0m ->
../../../../../../../class/scsi_tape/st0m/
-rw-r--r-- 1 kun kun    8 Jan 23 17:10 state
lrwxrwxrwx 1 kun kun   29 Jan 24 11:03 subsystem -> ../../../../../../../bus/scsi/
lrwxrwxrwx 1 kun kun   40 Jan 24 11:03 tape ->
../../../../../../../class/scsi_tape/st0/
-rw-r--r-- 1 kun kun    4 Jan 19 00:35 timeout
-r--r--r-- 1 kun kun    2 Jan 23 17:10 type
-r--r--r-- 1 kun kun    9 Jan 23 17:10 vendor
<13:40:20 kun@yangkun>$ ll bus/scsi/devices/2\:0\:4\:0/tape/
total 24
-r--r--r-- 1 kun kun  3 Jan 23 17:10 default_blksize
-r--r--r-- 1 kun kun  3 Jan 23 17:10 default_compression
-r--r--r-- 1 kun kun  3 Jan 23 17:10 default_density
-r--r--r-- 1 kun kun  2 Jan 23 17:10 defined
-r--r--r-- 1 kun kun  4 Jan 23 17:10 dev
lrwxrwxrwx 1 kun kun 79 Jan 24 11:03 device ->
../../../devices/pci0000:00/0000:00:1e.0/0000:05:04.0/host2/target2:0:4/2:0:4:0/
lrwxrwxrwx 1 kun kun 24 Jan 24 11:03 subsystem -> ../../../class/scsi_tape/
<13:40:48 kun@yangkun>$


Note You need to log in before you can comment on or make changes to this bug.